Subject: Re: bug#13391: dd silently ignores lseek error

From: Pádraig Brady <[email-masked]>
Date: Wed, 09 Jan 2013 10:08:46 +0000

On 01/09/2013 07:36 AM, Bernhard Voelker wrote:
> why not check input_seekable where it is set - ~60 lines above?

I was trying to keep related code together.

Thanks for all the reviews, which I've fixed locally.

To provide an argument for why this shouldn't go in,
the following is equivalent:

   python -c 'import os; os.lseek(0,0,os.SEEK_CUR)' 2>/dev/null < /the/file &&
   dd if=/the/file ...

So if the need is esoteric enough the above might suffice?

I'll leave it stew for  a while longer.

thanks,
Pádraig.